apiVersion: v1
kind: Secret
metadata:
  name: stonks-core-secrets
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "stonks.labels" . | nindent 4 }}
type: Opaque
stringData:
  {{- range $key, $val := .Values.secrets.core }}
  {{ $key }}: {{ $val | quote }}
  {{- end }}
---
apiVersion: v1
kind: Secret
metadata:
  name: stonks-broker-secrets
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "stonks.labels" . | nindent 4 }}
type: Opaque
stringData:
  {{- range $key, $val := .Values.secrets.broker }}
  {{ $key }}: {{ $val | quote }}
  {{- end }}
---
apiVersion: v1
kind: Secret
metadata:
  name: stonks-market-secrets
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "stonks.labels" . | nindent 4 }}
type: Opaque
stringData:
  {{- range $key, $val := .Values.secrets.market }}
  {{ $key }}: {{ $val | quote }}
  {{- end }}
---
apiVersion: v1
kind: Secret
metadata:
  name: stonks-dashboard-secrets
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "stonks.labels" . | nindent 4 }}
type: Opaque
stringData:
  {{- range $key, $val := .Values.secrets.dashboard }}
  {{ $key }}: {{ $val | quote }}
  {{- end }}
---
apiVersion: v1
kind: Secret
metadata:
  name: stonks-gmail-secrets
  namespace: {{ .Release.Namespace }}
  labels:
    {{- include "stonks.labels" . | nindent 4 }}
type: Opaque
stringData:
  {{- range $key, $val := .Values.secrets.gmail }}
  {{ $key }}: {{ $val | quote }}
  {{- end }}
